REST Documentation

View InboundXML Docs

List Available Numbers

If you want to add a new TelAPI number, you need to know what ones are available. Our REST API provides a way to request a list of available numbers along with all of their resource properties so you know the numbers you have to choose from.

Note that individual AvailablePhoneNumber resources can not be requested. Requests only return a list of available resources based on the filtering parameters sent with the request.

Request URI

The list of AvailablePhoneNumber resources can be requested using the HTTP GET method on the URI below. The last two paths in the URI can vary depending on the country you want a number for and whether you need it to be local or toll-free.

GET https://api.telapi.com/v1/Accounts/{AccountSid}/AvailablePhoneNumbers/{IsoCountryCode}/{Local/TollFree}

Resource Properties

The following properties are what an AvailablePhoneNumber resource is made up of.

Property Description
Domestic format version of the available phone number. (e.g. 1234567890 to (123)-456-7890).
The E.164 format number of each available number.
Local Access and Transportation Area of the available number. The LATA is determined by geographical region.
The available phone numbers rate center.
The latitude of the available phone number.
The longitude of the available phone number.
Code used to identify the phone numbers geographic origin. Found at the beginning of the number.
Numbering Plan Area of the available number. This is more commonly known as the area code.
Three digits following the NPA (area code) in the available number.
The available phone numbers city.
The region of the available phone number. Usually a two letter abbreviation.
The postal code (also known as zip code) of the available number.
Two letter country code of the available phone number.
Type of phone number. (local or tollfree)
Cost of phone number setup.
Cost of phone number per month.
Is voice enabled for this phone number? Can be true or false.
Is SMS enabled for this phone number? Can be true or false.
Does phone number support forwarded from? Can be true or false.

Parameters

The following case-sensitive parameters can be used to specify what will be returned in your list request.

Parameter Description
optional
Specifies the desired characters contained within the available numbers to list.
optional
Specifies the area code that the returned list of available numbers should be in. Only available for North American numbers
optional
Specifies the desired region of the available numbers to be listed.
optional
Specifies the desired postal code of the available numbers to be listed.
optional
Used to return a particular page within the list.
Allowed Value:
integer greater than 0
optional
Used to specify the amount of list items to return per page.
Allowed Value:
integer greater than 0

Example Response

An example of what a response may look like when requesting available phone numbers is below.



Helper Example

Our helper libraries simplify the task of making REST API calls while programming. The code below will perform a request to TelAPI.